osgUtil::SceneView::ComputeStereoMatricesCallback Struct Referenceabstract

`#include <SceneView>`

Inheritance diagram for osgUtil::SceneView::ComputeStereoMatricesCallback:

## Public Member Functions

virtual osg::Matrixd | computeLeftEyeProjection (const osg::Matrixd &projection) const =0
virtual osg::Matrixd | computeLeftEyeView (const osg::Matrixd &view) const =0
virtual osg::Matrixd | computeRightEyeProjection (const osg::Matrixd &projection) const =0
virtual osg::Matrixd | computeRightEyeView (const osg::Matrixd &view) const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Callback for overidding the default method for compute the offset projection and view matrices.

## Member Function Documentation

## computeLeftEyeProjection()

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeLeftEyeProjection | ( | const osg::Matrixd & | projection | ) | const

pure virtual

## computeLeftEyeView()

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeLeftEyeView | ( | const osg::Matrixd & | view | ) | const

pure virtual

## computeRightEyeProjection()

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeRightEyeProjection | ( | const osg::Matrixd & | projection | ) | const

pure virtual

## computeRightEyeView()

virtual osg::Matrixd osgUtil::SceneView::ComputeStereoMatricesCallback::computeRightEyeView | ( | const osg::Matrixd & | view | ) | const

pure virtual

The documentation for this struct was generated from the following file:

- SceneView